include	clib.inc
include	math.inc

	public	_mul10

_TEXT	segment

_mul10	proc
	push	si
	push	di
	mov	di,ax
	mov	si,dx
      ifdef __386__
	shl	dx,3
	shld	ax,dx,3
      else
	shl	ax,1
	rcl	dx,1
	shl	ax,1
	rcl	dx,1
	shl	ax,1
	rcl	dx,1
      endif
	add	ax,di
	adc	dx,si
	add	ax,di
	adc	dx,si
	pop	di
	pop	si
	ret	; dx:ax
_mul10	endp

_TEXT	ends

	end
